import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMTeilleistungsart extends JavaObject {
    id: number;
    bezeichnung: String | null;
    sortierung: Number | null;
    gewichtung: Number | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMTeilleistungsart;
    static transpilerToJSON(obj: ENMTeilleistungsart): string;
    static transpilerToJSONPatch(obj: Partial<ENMTeilleistungsart>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMTeilleistungsart(obj: unknown): ENMTeilleistungsart;
